module Palette.Tango exposing
    ( butter1, butter2, butter3
    , orange1, orange2, orange3
    , chocolate1, chocolate2, chocolate3
    , chameleon1, chameleon2, chameleon3
    , skyBlue1, skyBlue2, skyBlue3
    , plum1, plum2, plum3
    , scarletRed1, scarletRed2, scarletRed3
    , aluminum1, aluminum2, aluminum3, aluminum4, aluminum5, aluminum6
    )

{-| [Tango](http://tango.freedesktop.org/Tango_Icon_Theme_Guidelines#Color_Palette) color palette.

![](https://user-images.githubusercontent.com/8811312/51518135-c3b06b00-1dd1-11e9-9047-b53e5f179f77.png)
Play with all the Tango colors on [ellie](https://ellie-app.com/4wzXbjyK6Nta1).


## Butters

@docs butter1, butter2, butter3


## Oranges

@docs orange1, orange2, orange3


## Chocolates

@docs chocolate1, chocolate2, chocolate3


## Chameleons

@docs chameleon1, chameleon2, chameleon3


## Sky Blues

@docs skyBlue1, skyBlue2, skyBlue3


## Plums

@docs plum1, plum2, plum3


## Scarlet Reds

@docs scarletRed1, scarletRed2, scarletRed3


## Aluminums

@docs aluminum1, aluminum2, aluminum3, aluminum4, aluminum5, aluminum6

-}

import Color exposing (Color)


{-| -}
butter1 : Color
butter1 =
    Color.fromRGB ( 252, 233, 79 )


{-| -}
butter2 : Color
butter2 =
    Color.fromRGB ( 237, 212, 0 )


{-| -}
butter3 : Color
butter3 =
    Color.fromRGB ( 196, 160, 0 )


{-| -}
orange1 : Color
orange1 =
    Color.fromRGB ( 252, 175, 62 )


{-| -}
orange2 : Color
orange2 =
    Color.fromRGB ( 245, 121, 0 )


{-| -}
orange3 : Color
orange3 =
    Color.fromRGB ( 206, 92, 0 )


{-| -}
chocolate1 : Color
chocolate1 =
    Color.fromRGB ( 233, 185, 110 )


{-| -}
chocolate2 : Color
chocolate2 =
    Color.fromRGB ( 193, 125, 17 )


{-| -}
chocolate3 : Color
chocolate3 =
    Color.fromRGB ( 143, 89, 2 )


{-| -}
chameleon1 : Color
chameleon1 =
    Color.fromRGB ( 138, 226, 52 )


{-| -}
chameleon2 : Color
chameleon2 =
    Color.fromRGB ( 115, 210, 22 )


{-| -}
chameleon3 : Color
chameleon3 =
    Color.fromRGB ( 78, 154, 6 )


{-| -}
skyBlue1 : Color
skyBlue1 =
    Color.fromRGB ( 114, 159, 207 )


{-| -}
skyBlue2 : Color
skyBlue2 =
    Color.fromRGB ( 52, 101, 164 )


{-| -}
skyBlue3 : Color
skyBlue3 =
    Color.fromRGB ( 32, 74, 135 )


{-| -}
plum1 : Color
plum1 =
    Color.fromRGB ( 173, 127, 168 )


{-| -}
plum2 : Color
plum2 =
    Color.fromRGB ( 117, 80, 123 )


{-| -}
plum3 : Color
plum3 =
    Color.fromRGB ( 92, 53, 102 )


{-| -}
scarletRed1 : Color
scarletRed1 =
    Color.fromRGB ( 239, 41, 41 )


{-| -}
scarletRed2 : Color
scarletRed2 =
    Color.fromRGB ( 204, 0, 0 )


{-| -}
scarletRed3 : Color
scarletRed3 =
    Color.fromRGB ( 164, 0, 0 )


{-| -}
aluminum1 : Color
aluminum1 =
    Color.fromRGB ( 238, 238, 236 )


{-| -}
aluminum2 : Color
aluminum2 =
    Color.fromRGB ( 211, 215, 207 )


{-| -}
aluminum3 : Color
aluminum3 =
    Color.fromRGB ( 186, 189, 182 )


{-| -}
aluminum4 : Color
aluminum4 =
    Color.fromRGB ( 136, 138, 133 )


{-| -}
aluminum5 : Color
aluminum5 =
    Color.fromRGB ( 85, 87, 83 )


{-| -}
aluminum6 : Color
aluminum6 =
    Color.fromRGB ( 46, 52, 54 )
